dstr_init
3

# dstr_init

# dstr_destroy

initialization and destruction of dstring_t structure

    #include <cds/dstring.h>

      int dstr_init
      dstring_t *dstr
      int buff_size

      int dstr_destroy
      dstring_t *dstr

## Description

`dstr_init` function initializes dstring_t structure. The value of `buff_size` is the size of newly allocated data buffers. These buffers are internal and are allocated if needed by any of dstring functions.

`dstr_destroy` function destroys all allocated data buffers. After calling `dstr_destroy` can't be called any of dstring manipulation functions except `dstr_init`.

## Return value

Both functions return 0 if successful, nonzero otherwise.